Bug 1305269 - [RFE] Shrink a ceph cluster by removing nodes or services using the installer API
[RFE] Shrink a ceph cluster by removing nodes or services using the installer...
Status: NEW
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible (Show other bugs)
3.0
Unspecified Unspecified
urgent Severity urgent
: rc
: 3.1
Assigned To: Gregory Meno
ceph-qe-bugs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-06 09:38 EST by Gregory Meno
Modified: 2018-01-27 12:59 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gregory Meno 2016-02-06 09:38:00 EST
Description of problem:

ceph cluster shrinkage(remove Node,Mons,Osds)

This seems like:
HTTP POST on /api/mon/delete
HTTP POST on /api/osd/delete

possible use cases:
* delete just one OSD from a node
* stop all ceph processes on a node, delete OSD data, remove packages
* stop a monitor and delete it's config


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 3 Gregory Meno 2016-02-06 09:39:42 EST
I think we need to discuss the exact use-cases here since the requirement is not clear
Comment 4 Gregory Meno 2016-02-11 17:44:57 EST
I met with Dusmant and we agreed
If we provide this functionality USM will be responsible for validating/dealing with the result in the cases where we would be asked to perform an operation that damages the clusters ability to store data
Comment 5 Gregory Meno 2016-03-01 12:29:01 EST
Andrew does ceph-ansible have this capability
Comment 6 Andrew Schoen 2016-03-21 13:18:24 EDT
ceph-ansible does not currently have the ability.
Comment 9 Jeff Applewhite 2016-10-14 09:13:49 EDT
what is the status of this in ansible presently - still not addressed?

Note You need to log in before you can comment on or make changes to this bug.